org.apache.cayenne.exp.parser

## Class EvaluatedMathNode

- java.lang.Object
- - org.apache.cayenne.exp.Expression
  - - org.apache.cayenne.exp.parser.SimpleNode
    - - org.apache.cayenne.exp.parser.EvaluatedNode
      - - org.apache.cayenne.exp.parser.EvaluatedMathNode

- All Implemented Interfaces:
    Serializable, Node, XMLSerializable
  Direct Known Subclasses:
    ASTAdd, ASTDivide, ASTMultiply, ASTSubtract

      public abstract class EvaluatedMathNode
      extends EvaluatedNode

  Since:
    4.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode

      `children, id, parent`

    - ### Fields inherited from class org.apache.cayenne.exp.Expression

      `ADD, AND, ASTERISK, BETWEEN, BITWISE_AND, BITWISE_LEFT_SHIFT, BITWISE_NOT, BITWISE_OR, BITWISE_RIGHT_SHIFT, BITWISE_XOR, DB_PATH, DIVIDE, EQUAL_TO, FALSE, FULL_OBJECT, FUNCTION_CALL, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, PRUNED_NODE, SUBTRACT, TRUE, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EvaluatedMathNode(int i)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `evaluateSubNode(Object o, Object[] evaluatedChildren)`
    `protected int` | `getRequiredChildrenCount()`
    `protected abstract BigDecimal` | `op(BigDecimal result, BigDecimal arg)`

    - ### Methods inherited from class org.apache.cayenne.exp.parser.EvaluatedNode

      `evaluateNode`

    - ### Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode

      `appendAsEJBQL, appendAsEJBQL, appendAsEscapedString, appendAsString, appendChildrenAsEJBQL, appendScalarAsString, connectChildren, encodeAsEJBQL, encodeAsString, encodeScalarAsEJBQL, evaluate, evaluateChild, expName, flattenTree, getEJBQLExpressionOperator, getExpressionOperator, getOperand, getOperandCount, getPathAliases, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

    - ### Methods inherited from class org.apache.cayenne.exp.Expression

      `andExp, andExp, deepCopy, encodeAsXML, equals, expWithParameters, expWithParameters, filter, filterObjects, first, fromString, getType, hashCode, joinExp, joinExp, match, orExp, orExp, params, params, paramsArray, setType, shallowCopy, toEJBQL, toEJBQL, toString, transform, transformExpression, traverse, traverse`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluatedMathNode

          protected EvaluatedMathNode(int i)

  - ### Method Detail

    - #### getRequiredChildrenCount

          protected int getRequiredChildrenCount()

      Specified by:
        `getRequiredChildrenCount` in class `EvaluatedNode`

    - #### evaluateSubNode

          protected Object evaluateSubNode(Object o,
                                           Object[] evaluatedChildren)
                                    throws Exception

      Specified by:
        `evaluateSubNode` in class `EvaluatedNode`
      Throws:
        `Exception`

    - #### op

          protected abstract BigDecimal op(BigDecimal result,
                                           BigDecimal arg)

Copyright © 2001–2023 Apache Cayenne. All rights reserved.